/* General */

:root{
  --base: #000000;
  --primary: #5C666F;
  --secondary: #838EA3;
  --total-white: #FFFFFF;
  --lightgray: #FAFAFB;
  --silver: #EEEDED;
}

@font-face {
  font-family: "Manrope";
  src: url("Manrope.ttf");
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Manrope", sans-serif;
  scroll-behavior: smooth;
  -webkit-font-smoothing: antialiased;
  font-synthesis: none !important;
  font-optical-sizing: auto;
  color: var(--base);
  text-decoration: none;
}

html {
  font-size: 1em;
  line-height: 1.4;
  background-color: var(--lightgray);
}

.content {
  width: calc(100% - 100px);
  max-width: 1110px;
  margin: auto;
}

h1{
  font-size: 46px;
  line-height: 54px;
  font-weight: 700;
}

h2{
  font-size: 40px;
  line-height: 54px;
  font-weight: 500;
}

p{
  font-size: 24px;
  line-height: 32px;
  font-weight: 400;
}

/* Header */

header {
  padding: 20px 0;
  background-color: var(--total-white);
}

header .content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  max-width: 1110px;
}

header .content img {
  height: 50px;
}

header .content .contactContainer {
  display: flex;
  flex-direction: row;
  align-items: center;
  height: 32px;
  gap: 20px;
}

header .content .contactContainer a {
  text-decoration: none;
  cursor: pointer;
  font-size: 24px;
  font-weight: 500;
  line-height: 32px;
}

header .content #whatsapp-icon{
  width: 32px;
  height: 32px;
}

header .content #wa_header{
  height: 32px;
}

/* Title Section */

.title-section{
  background-color: var(--primary);
  overflow: hidden;
}

.title-section .content{
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  padding: 30px 0;
  gap: 20px;
}

.title-section .content .info{
  display: flex;
  align-items: baseline;
  gap: 60px;
  flex-direction: column;
  justify-content: center;
  max-width: 560px;
}

.title-section .content .info .text-block{
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.title-section .content .image-container{
  display: flex;
  justify-content: center;
  width: 560px;
  height: 500px;
}

.title-section .content .image-container img{
  height: 500px;
}

.title-section h1 {
  font-weight: 700;
  color: var(--lightgray);
}

.title-section p {
  color: var(--lightgray);
}

.title-section a{
  font-size: 16px;
  line-height: 21.86px;
  background-color: var(--secondary);
  color: var(--total-white);
  padding: 20px 30px 20px 30px;
  transition: .3s;
}

.title-section a:hover{
  background-color: #788295;
}

.title-section .content .info #buy-btn-desktop{
  display: block;
}

.title-section .content #buy-btn-mobile{
  display: none;
}

/* Pros Section */

.pros-section{
  background-color: var(--lightgray);
  overflow: hidden;
}

.pros-section .content{
  display: flex;
  flex-direction: column;
  gap: 50px;
  padding: 50px 0;
}

.pros-section .content .list{
  display: flex;
  flex-direction: row;
  gap: 20px;
}

.pros-section .content .list p{
  width: 100%;
}

/* Photos section */

.photos-section{
  background-color: var(--total-white);
  overflow: hidden;
}

.photos-section .content{
  padding: 50px 0;
  display: flex;
  flex-direction: column;
  gap: 50px;
}

.photos-section .content .text-block{
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.photos-section .content .text-block p{
  color: var(--secondary);
}

.photos-section .content .photo-list{
  display: flex;
  gap: 20px;
}

.photos-section .content .photo-list img{
  width: 50%;
}

/* Widget */

.widget{
  background-color: var(--lightgray);
}

.widget .content{
  padding: 50px 0;
}

.widget .content h2{
  padding-bottom: 50px;
}

/* Footer */

footer{
  background-color: var(--secondary);
  overflow: hidden;
  padding: 20px 0;
}

footer p, footer a{
  font-size: 16px;
  line-height: 20px;
  font-weight: 400;
  color: var(--total-white);
}

footer .content{
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  padding: 0;
  gap: 30px;
  flex-wrap: wrap;
}

footer .content .left-items{
  display: flex;
  flex-wrap: wrap;
  gap: 60px;
}

footer .content .left-items .info{
  display: flex;
  flex-direction: column;
  gap: 5px;
}

footer .content .left-items .links{
  display: flex;
  flex-direction: column;
  justify-content: end;
  gap: 5px;
}

footer .content .developer{
  display: flex;
  gap: 5px;
}

/* Media queries */

@media screen and (max-width: 800px) {
  h1{
    font-size: 32px;
    line-height: 42px;
  }

  h2{
    font-size: 28px;
    line-height: 34px;
  }

  p{
    font-size: 18px;
    line-height: 24px;
  }

  header {
    padding: 10px 0;
    background-color: white;
  }

  header .content img {
    height: 27px;
  }

  header .content #whatsapp-icon{
    width: 26px;
    height: 26px;
  }

  header .content {
    padding: 0;
  }

  header .content #wa_header{
    height: 26px;
  }

  header .content .contactContainer {
    gap: 10px;
  }

  header .content .contactContainer a.main {
    font-size: 16px;
    line-height: 20px;
  }

  .content {
    width: calc(100% - 40px);
    padding: 0;
  }

  .title-section .content .image-container img{
    width: 280px;
    height: 380px;
  }

  .title-section .content .image-container{
    width: 100%;
    height: 380px;
  }

  .title-section .content{
    flex-direction: column;
    padding: 30px 0;
    align-items: initial;
    gap: 30px;
  }

  .title-section .content .info{
    align-items: initial;
    gap: 30px;
  }

  .title-section .content .info #buy-btn-desktop{
    display: none;
  }

  .title-section .content #buy-btn-mobile{
    display: flex;
    justify-content: center;
  }

  .pros-section .content{
    padding: 30px 0;
    gap: 30px;
  }

  .pros-section .content .list{
    flex-direction: column;
  }

  .photos-section .content{
    padding: 30px 0;
  }

  .photos-section .content .photo-list{
    flex-direction: column;
  }

  .photos-section .content .photo-list img{
    width: 100%;
  }

  .widget .content{
    padding: 30px 0;
  }

  .widget .content h2{
    padding-bottom: 25px;
  }

  footer {
    padding: 30px 0;
  }

  footer .content{
    padding: 0;
  }

  footer .content .left-items{
    flex-direction: column;
    gap: 20px;
  }
}

@media screen and (max-width: 900px){
  .title-section .content .image-container img{
    width: 280px;
    height: 380px;
  }

  .title-section .content .image-container{
    width: 100%;
    height: 380px;
  }
}
